"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConsoleStatusLogger = (function () {
    function ConsoleStatusLogger(_logger) {
        if (_logger === void 0) { _logger = console; }
        this._logger = _logger;
    }
    ConsoleStatusLogger.prototype.isNodeVersionCompatible = function () {
        return true;
    };
    ConsoleStatusLogger.prototype.makeStatusDirs = function (filepath) {
        // no op
        return null;
    };
    ConsoleStatusLogger.prototype.writeFile = function (data, cb) {
        this._logger.log(data);
        if (typeof cb === "function") {
            cb();
        }
    };
    ConsoleStatusLogger.prototype.addCloseHandler = function () {
        // no op
    };
    return ConsoleStatusLogger;
}());
exports.ConsoleStatusLogger = ConsoleStatusLogger;
//# sourceMappingURL=ConsoleStatusLogger.js.map